package com.goafanti.evaluation.bo;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;
import javax.validation.constraints.Size;

public class Step1 {

	@NotNull
	@Size(max = 128)
	private String	name;

	@NotNull
	private Integer	industry;

	@NotNull
	@Size(max = 36)
	private String	subIndustry;

	@NotNull
	private Integer	transferType;

	@NotNull
	private Integer	timeLeft;

	@NotNull
	@Size(max = 100)
	private String	transferArea;

	@NotNull
	@Size(max = 36)
	private String	currencyType;

	@NotNull
	@Pattern(regexp = "\\d{4}-\\d{2}-01")
	private String	benchmarkDate;

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Integer getIndustry() {
		return industry;
	}

	public void setIndustry(Integer industry) {
		this.industry = industry;
	}

	public String getSubIndustry() {
		return subIndustry;
	}

	public void setSubIndustry(String subIndustry) {
		this.subIndustry = subIndustry;
	}

	public Integer getTransferType() {
		return transferType;
	}

	public void setTransferType(Integer transferType) {
		this.transferType = transferType;
	}

	public Integer getTimeLeft() {
		return timeLeft;
	}

	public void setTimeLeft(Integer timeLeft) {
		this.timeLeft = timeLeft;
	}

	public String getTransferArea() {
		return transferArea;
	}

	public void setTransferArea(String transferArea) {
		this.transferArea = transferArea;
	}

	public String getCurrencyType() {
		return currencyType;
	}

	public void setCurrencyType(String currencyType) {
		this.currencyType = currencyType;
	}

	public String getBenchmarkDate() {
		return benchmarkDate;
	}

	public void setBenchmarkDate(String benchmarkDate) {
		this.benchmarkDate = benchmarkDate;
	}

}
